org.openmuc.openiec61850

## Class LogicalDevice

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.LogicalDevice

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class LogicalDevice
    extends ModelNode

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`LogicalDevice(ObjectReference objectReference, java.util.List<LogicalNode> logicalNodes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LogicalDevice` `copy()` Returns a copy of model node with all of its children.

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getBasicDataAttributes, getChild, getChild, getChildren, getIterators, getName, getParent, getReference, iterator, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### LogicalDevice

    public LogicalDevice(ObjectReference objectReference,
                         java.util.List<LogicalNode> logicalNodes)

### Method Detail

#### copy

    public LogicalDevice copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.